/*
 * Class WEL_GDIP_IMAGE_ENCODER_PARAMETERS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_31 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_31 [] = {0xFF01,1551,30,0xFFFF};
static const EIF_TYPE_INDEX egt_2_31 [] = {0xFF01,30,0xFFFF};
static const EIF_TYPE_INDEX egt_3_31 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_31 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_31 [] = {0xFF01,30,0xFFFF};
static const EIF_TYPE_INDEX egt_6_31 [] = {0xFF01,30,0xFFFF};
static const EIF_TYPE_INDEX egt_7_31 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_31 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_31 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_31 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_31 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_31 [] = {0xFF01,30,0xFFFF};
static const EIF_TYPE_INDEX egt_13_31 [] = {0xFF01,1567,0xFF01,72,0xFFFF};
static const EIF_TYPE_INDEX egt_14_31 [] = {0xFF01,669,0xFFFF};


static const struct desc_info desc_31[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_31), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_31), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_31), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_31), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_31), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_31), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_31), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_31), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_31), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_31), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_31), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_31), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x3D /*30*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_31), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 262, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_31), 263, 0},
	{EIF_GENERIC(egt_14_31), 264, 0xFFFFFFFF},
};
void Init31(void)
{
	IDSC(desc_31, 0, 30);
	IDSC(desc_31 + 1, 1, 30);
	IDSC(desc_31 + 32, 1401, 30);
}


#ifdef __cplusplus
}
#endif
